Page MenuHomePhabricator

Make ThrottleOverride handle modifications
Closed, ResolvedPublic

Description

(08:14) root@localhost:[wiki]> select * from throttle_override;
+--------+-----------------------------+-----------------+---------------+----------------+-------------+
| thr_id | thr_type                    | thr_range_start | thr_range_end | thr_expiry     | thr_reason  |
+--------+-----------------------------+-----------------+---------------+----------------+-------------+
|      1 | actcreate,edit,move         | 7F000001        | 7F000001      | 20140127225045 | fsdfjskdfh  |
|      2 | edit,mailpassword,emailuser | 7F000001        | 7F000001      | 20140207225228 | kasdjhfdskj |
+--------+-----------------------------+-----------------+---------------+----------------+-------------+
2 rows in set (0.00 sec)

In this example, I managed to set two different expiries for the 'edit' throttle using the same IP (127.0.0.1).

It should have instead modified the existing row.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:01 AM
bzimport set Reference to bz60423.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Jan 25 2014, 8:20 AM
Glaisher renamed this task from ThrottleOverride: Can set multiple expiries for same throttle type to Make ThrottleOverride handle modifications.Mar 21 2015, 8:52 AM
Glaisher claimed this task.
Glaisher updated the task description. (Show Details)
Glaisher set Security to None.
Glaisher edited subscribers, added: Glaisher; removed: Unknown Object (MLST).

Change 198687 had a related patch set uploaded (by Glaisher):
Make OverrideThrottle handle modifications of existing throttles

https://gerrit.wikimedia.org/r/198687

Reedy updated the task description. (Show Details)Oct 4 2016, 9:58 PM
Reedy added a subscriber: Reedy.Dec 12 2016, 3:53 PM

Just needs a useable edit link on the List and should be all good

Change 198687 merged by jenkins-bot:
[mediawiki/extensions/ThrottleOverride@master] Make OverrideThrottle handle modifications of existing throttles

https://gerrit.wikimedia.org/r/198687

EddieGP closed this task as Resolved.Sep 1 2017, 7:15 PM
EddieGP added a subscriber: EddieGP.